#!/bin/bash
DBDIR=`grep DBDIR enkai.conf | grep -v DBPATH | awk -F"'" '{ print $4 ; }'`
DBPATH=${DBDIR}/enkai.db
mkdir -p ${DBDIR}
sqlite $DBPATH <<_EOD_
--
--  񥵡ѥơ֥ץ
--
------------------------
--  桼ơ֥
------------------------
DROP    TABLE   user_t;
CREATE  TABLE   user_t  (
    uid         TEXT        PRIMARY KEY     --  桼IDʥ᡼륢ɥ쥹
   ,passwd      TEXT                        --  ѥɡʲϿϥ
   ,name        TEXT                        --  ̾
   ,expire      TIMESTAMP                   --  Ͽͭ
);
-----------------------
--  ٥ȥơ֥
-----------------------
DROP    TABLE   event_t;
CREATE  TABLE   event_t (
    eid         TEXT        PRIMARY KEY     --  ٥ID
   ,passwd      TEXT                        --  ѥ
   ,name        TEXT        NOT NULL        --  ٥̾
   ,outline     TEXT                        --  ٥ȳ
   ,url         TEXT                        --  Ϣ URL
   ,public      BOOL                        --  1.¿˸ 0.ʤ
   ,creator     TEXT        NOT NULL        --  ԥ᡼륢ɥ쥹
   ,notice      TEXT                        --  ᡼륢ɥ쥹
   ,method      BOOL                        --  1.᡼Τ 0.ʤ
   ,created     TIMESTAMP                   --  Ͽ
   ,range       INT                         --  ɽ
   ,expire      DATE                        --  ǡͽ
);
-----------------------
--  Ĵơ֥
-----------------------
DROP    TABLE   date_t;
CREATE  TABLE   date_t  (
    eid         TEXT        NOT NULL        --  ٥ID
   ,hope        DATE        NOT NULL        --  ˾(YYYYMMDD)
   ,uid         TEXT        NOT NULL        --  ˾桼ID(email)
   ,PRIMARY KEY(eid, hope, uid)
);
-----------------------
--  ȡơ֥
-----------------------
DROP    TABLE   comment_t;
CREATE  TABLE   comment_t   (
    eid         TEXT        NOT NULL        --  ٥ID
   ,uid         TEXT        NOT NULL        --  桼ID(email)
   ,comment     TEXT        NOT NULL        --  
   ,PRIMARY KEY(eid, uid)
);
_EOD_

chmod 666 $DBPATH
chmod o+w $DBDIR
